Draft Polyligne

From FreeCAD Documentation
(Redirected from Draft CloseLine/fr)
Jump to navigation Jump to search
This page is a translated version of the page Draft Wire and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Page précédente: Draft Line.svg Ligne
Page suivante: Congé Draft Fillet.svg Arrow-right.svg

Draft Wire.svg Draft Polyligne

Emplacement du menu
Drafting → Polyligne
Ateliers
Draft, Arch
Raccourci par défaut
P L
Introduit dans la version
0.7
Voir aussi
Draft Ligne, Draft B-spline

Description

La commande Draft Wire.svg Draft Polyligne crée une polyligne, une séquence de plusieurs segments de ligne connectés. La commande peut aussi être utilisée pour joindre des Draft Lignes et des Draft Polylignes.

Les coins d'une Draft Polyligne peuvent être effilés (arrondis) ou chanfreinés en modifiant respectivement sa propriété DonnéesFillet Radius ou DonnéesChamfer Size. Il est également possible de subdiviser les bords d'une Draft Polyligne en modifiant sa propriété DonnéesSubdivisions.

Draft Polyline example.jpg

Une polyligne définie par plusieurs points

Créer

Utilisation

Voir aussi : Draft La barre, Draft Aimantation et Draft Contrainte.

  1. Il existe plusieurs façons de lancer la commande :
  2. Le panneau de tâches Polyline s'ouvre. Voir Options pour plus d'informations.
  3. Choisissez le premier point dans la Vue 3D ou rentrez des coordonnées et appuyez sur le bouton Draft AddPoint.svg Entrez le point.
  4. Choisissez des points supplémentaires dans la Vue 3D ou rentrez des coordonnées et appuyez sur le bouton Draft AddPoint.svg Entrez le point.
  5. Appuyez sur Echap ou sur le bouton Fermer pour terminer la commande.

Options

Les raccourcis clavier à caractère unique disponibles dans le panneau des tâches peuvent être modifiés. Voir Draft Préférences. Les raccourcis mentionnés ici sont les raccourcis par défaut.

  • Pour saisir manuellement des coordonnées, entrez les valuers X, Y et Z, et appuyez sur Entrée après chacune, ou vous pouvez appuyer sur le bouton Draft AddPoint.svg Entrez le point lorsque vous savez les valeurs souhaitées. Il est conseillé de déplacer le pointeur hors de la Vue 3D avant de saisir les coordonnées.
  • Appuyez sur R ou cochez la case Relative pour activer le mode relatif. Si le mode relatif est activé, les coordonnées sont relatives au dernier point, si disponible, sinon elles sont relatives à l'origine du système de coordonnées.
  • Appuyez sur G ou cochez la case Global pour activer le mode global. Si le mode global est activé, les coordonnées sont relatives au système de coordonnées global, sinon elles sont relatives au système de coordonnées du plan de travail. Introduit dans la version 0.20
  • Appuyez sur L ou cochez la case Rempli pour activer le mode de remplissage. Si le mode rempli est activé, la ligne créée aura la valeur DonnéesMake Face true et aura une face remplie, à condition qu'elle soit fermée et qu'elle ne s'auto-intersecte pas. Notez qu'une ligne qui s'auto-intersecte avec une face ne s'affichera pas correctement. Pour une telle ligne, DonnéesMake Face doit être défini sur false.
  • Appuyez sur T ou cochez la case Continuer pour activer le mode continu. Si le mode continu est activé, la commande redémarre après avoir utilisé Draft FinishLine.svg Terminer ou Draft CloseLine.svg Fermer, ou après avoir créé une ligne fermée en s'aimantant au premier point de la ligne, ce qui vous permet de continuer à créer des lignes.
  • Appuyez sur le bouton Draft UndoLine.svg Annuler pour annuler le dernier point. Le raccourci clavier Ctrl+Z ne fonctionne pas actuellement comme attendu.
  • Appuyez sur A ou sur le bouton Draft FinishLine.svg Terminer pour terminer la commande et laisser la ligne ouverte.
  • Appuyez sur O ou sur le bouton Draft CloseLine.svg Fermer pour terminer la commande et fermer la ligne. Une ligne fermée peut également être créée en s'aimantant au premier point de la ligne.
  • Appuyez sur W ou sur le bouton Draft Wipe.svg Effacer pour supprimer les segments déjà placés, mais continuez à travailler à partir du dernier point.
  • Appuyez sur U ou sur le bouton Draft SelectPlane.svg Définir le plan de travail pour ajuster le plan de travail actuel dans l'orientation du dernier segment.
  • Appuyez sur S pour activer ou désactiver Draft Aimantation.
  • Appuyez sur Echap ou sur le bouton Fermer pour terminer la commande.

Joindre

Utilisation

  1. Les extrémité des Draft Lignes et/ou des Draft Polylignes à joindre doivent coïncider exactement. Si nécessaire, ajustez d'abord les points pour vous assurer que c'est le cas.
  2. Sélectionnez deux ou plusieurs Draft Lignes et/ou des Draft Polylignes.
  3. Il existe plusieurs façons de lancer la commande :

Remarques

Préférences

Voir aussi : Réglage des préférences et Draft Préférences.

  • Pour modifier le nombre de décimales utilisées pour la saisie des coordonnées : Édition → Préférences... → Général → Unités → Système d'unités → Nombre de décimales.
  • Pour modifier la valeur initiale du mode rempli : Édition → Préférences... → Draft → Paramètres généraux → Options des outils de Draft → Remplir les objets avec des faces si possible. La modification du mode rempli dans un panneau de tâches annule cette préférence pour la session FreeCAD en cours.

Propriétés

Voir aussi : Éditeur de propriétés

Un objet Draft Polyligne est dérivé d'un Part Part2DObject et hérite de toutes ses propriétés. Il possède également les propriétés supplémentaires suivantes :

Données

Draft

  • DonnéesArea (Area) : (en lecture seule) spécifie la surface de la face générée par la ligne. La valeur sera 0.0 si DonnéesMake Face est false ou si la face ne peut être créée.
  • DonnéesBase (Link)
  • DonnéesChamfer Size (Length) : spécifie la longueur des chanfreins aux coins de la ligne.
  • DonnéesClosed (Bool) : spécifie si la ligne est fermée ou non. Si la ligne est initialement ouverte, cette valeur est false. Si vous lui attribuez la valeur true, un segment de la ligne sera dessiné pour fermer la ligne. Si la ligne est initialement fermée, cette valeur est true, la mettre à false supprimera le dernier segment de la ligne et rendra la ligne ouverte.
  • DonnéesEnd (VectorDistance) : spécifie le dernier point de la ligne.
  • Donnéeslignelet Radius (Length) : spécifie le rayon des filets aux brisures de la ligne.
  • DonnéesLength (Length) : (en lecture seule) spécifie la longueur totale de la ligne.
  • DonnéesMake Face (Bool) : spécifie si la ligne fait une face ou non. Si c'est true, une face est créée, sinon seuls les bords sont considérés comme faisant partie de l'objet. Cette propriété ne fonctionne que si DonnéesClosed est true et si la ligne ne s'auto-intersecte pas.
  • DonnéesPoints (VectorList) : spécifie les points de la ligne dans son système de coordonnées local.
  • DonnéesStart (VectorDistance) : spécifie le premier point de la ligne.
  • DonnéesSubdivisions (Integer) : spécifie le nombre de subdivisions pour chaque arête de la ligne. Si la valeur est 1, chaque bord sera divisé en 2 segments égaux. Les subdivisions sont appliquées avant les chanfreins et les ligneets.
  • DonnéesTool (Link)

Vue

Draft

  • VueArrow Size (Length) : spécifie la taille du symbole affiché à l'extrémité de la ligne.
  • VueArrow Type (Enumeration) : spécifie le type de symbole affiché à l'extrémité de la ligne, qui peut être Dot, Circle, Arrow, Tick ou Tick-2.
  • VueEnd Arrow (Bool) : spécifie s'il faut afficher un symbole à la fin de la ligne, afin qu'elle puisse être utilisée comme ligne d'annotation.
  • VuePattern (Enumeration) : spécifie le Draft Motif avec lequel remplir la face de la ligne fermée. Cette propriété ne fonctionne que si DonnéesMake Face est true et si VueDisplay Mode est à Flat Lines.
  • VuePattern Size (Float) : spécifie la taille du Draft Motif.

Script

Voir aussi: Autogenerated API documentation et Débuter avec les scripts FreeCAD.

Pour créer une Draft Polyligne, utilisez la méthode make_wire (Introduit dans la version 0.19) du module Draft. Cette méthode remplace la méthode dépréciée makeWire.

wire = make_wire(pointslist, closed=False, placement=None, face=None, support=None)
wire = make_wire(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Crée un objet Wire avec la liste de points donnée, liste de points.
    • Chaque point de la liste est défini par son FreeCAD.Vector, avec comme unité le millimètre.
    • Sinon, l'entrée peut être un Part.Wire, à partir duquel les points sont extraits.
  • Si closed est réglé sur True, ou si les premier et dernier points sont identiques, le fil est fermé.
  • Si un placement est None, la courbe est créée à l'origine.
  • Si face est réglé sur True, et que le fil est fermé, le fil fera une face, c'est-à-dire qu'elle apparaîtra remplie.

Exemple :

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(2000, 0, 0)

wire1 = Draft.make_wire([p1, p2, p3], closed=True)
wire2 = Draft.make_wire([p1, 2*p3, 1.3*p2], closed=True)
wire3 = Draft.make_wire([1.3*p3, p1, -1.7*p2], closed=True)

doc.recompute()


Arrow-left.svg Page précédente: Draft Line.svg Ligne
Page suivante: Congé Draft Fillet.svg Arrow-right.svg